html {
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
  position: relative;
  min-height: 100%;
}

body {
  margin-bottom: 60px;
}

.form-floating > .form-control-plaintext::placeholder, .form-floating > .form-control::placeholder {
  color: var(--bs-secondary-color);
  text-align: end;
}

.form-floating > .form-control-plaintext:focus::placeholder, .form-floating > .form-control:focus::placeholder {
  text-align: start;
}

.bg-navy {
    background: linear-gradient(90deg, #1a1c23 0%, #252836 100%);
}

.main-nav {
    padding-top: 0.8rem;
    padding-bottom: 0.8rem;
}

.logo-icon {
    background: #ffc107;
    color: #1a1c23;
    width: 35px;
    height: 35px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 8px;
    font-size: 1.2rem;
    box-shadow: 0 4px 8px rgba(255, 193, 7, 0.3);
}

.brand-text {
    letter-spacing: 1px;
    font-size: 1.2rem;
}

.hover-underline {
    position: relative;
    transition: color 0.3s ease;
    font-weight: 500;
    margin: 0 10px;
}

    .hover-underline::after {
        content: '';
        position: absolute;
        width: 0;
        height: 2px;
        bottom: 0;
        left: 0;
        background-color: #ffc107;
        transition: width 0.3s ease;
    }

    .hover-underline:hover::after {
        width: 100%;
    }

    .hover-underline:hover {
        color: #ffc107 !important;
    }

.navbar {
    transition: all 0.3s ease;
}